Catalyst::Authentication::Store::IMAP::User(3pm)

NAME
Catalyst::Authentication::Store::IMAP::User - An authentication user for IMAP.

SYNOPSIS
        use Catalyst::Authentication::Store::IMAP::User;

        Catalyst::Authentication::Store::IMAP::User->new(
                id => "username",
        );

DESCRIPTION
This implementation of authentication user handles is supposed to go hand in hand with Catalyst::Authentication::Store::IMAP.

METHODS

  new( @pairs )
Create a new object with the key-value-pairs listed in the arg list.

  supported_features( )
Checks for existence of keys that correspond with features.

  for_session( )
Just returns $self, expecting it to be serializable.

  from_session( )
Just passes returns the unserialized object, hoping it's intact.

  store( )
Accessors that override superclass's dying virtual methods.

  id( )

  check_password( $password )
Establishes a connection to the IMAP server and checks the given user credentials. Stores the Mail::IMAPClient object on the stash as imapclient for usage by other components.

SEE ALSO
Hash::AsObject

AUTHOR
Stefan Seifert <nine@cpan.org>

LICENSE
This library is free software, you can redistribute it and/or modify it under the same terms as Perl itself.